Vehicle Challan Lookup

This API allows you to access information related to vehicle traffic violations (challans) in a structured, automated way. When a vehicle owner is fined for a traffic rule violation, a challan is issued. The Vehicle Challan API provides a way to fetch this challan information on the basis of registration number, without manually visiting transport department websites.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Header Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code is "1" (Fixed)MY
X-Ipay-Client-IdStringUnique Client Id Provided by InstantpayMY
X-Ipay-Client-SecretStringUnique Client Secret Provided by InstantpayMY
X-Ipay-Endpoint-IpStringEnd customer IP AddressMY

Request Parameters

Parameter NameTypeRequirementDescription
vehicleRegistrationNumberStringMandatoryVehicle Registration Number
latitudeStringMandatoryEnd Customer Latitude.
longitudeStringMandatoryEnd Customer Longitude
externalRefStringMandatoryYour Unique Transaction id
consentStringMandatoryConsent should be
accepted by
customer

Sample Request

curl --location 'https://api.instantpay.in/identity/vehicleChallan' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data '{
    "vehicleRegistrationNumber": "UP85BX1xxx",
    "consent": "Y",
    "latitude": "11.1019",
    "longitude": "26.9109",
    "externalRef": "1729658703"
}'
POST /identity/vehicleChallan HTTP/2.1
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json
Content-Length: 139

{
    "vehicleRegistrationNumber": "UP85BX1180",
    "consent": "Y",
    "latitude": "11.1019",
    "longitude": "26.9109",
    "externalRef": "1729658737"
}

Response Parameters

Parameter NameTypeDescription
statuscodeStringInstantpay Status Code
actcodeStringAction Code
statusArrayStatus message
dataStringResponse Data(if Present)
timestampStringResponse time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id(if transaction otherwise it is null)
environmentStringLive/Sandbox
internalCodeStringIt will be null

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Transaction Successful",
    "data": {
        "vehicalData": [
            {
                "userName": null,
                "accusedFatherName": "TEJVxxx",
                "accusedName": "Rxx KUxxx",
                "rcRegistrationNumber": "UP85BX1180",
                "challanNumber": "UP912241012xxxxxx",
                "challanId": 1,
                "challanDate": "2024-10-12",
                "challanStatus": "Pending",
                "challanAmount": "1000",
                "rcStateCode": "UP",
                "challanReceiptUrl": null,
                "challanPaymentSource": null,
                "challanPaymentDate": null,
                "offences": [
                    {
                        "offenceName": "Violation of not wearing Helmet (Notification Dt : 30-07-2020)",
                        "offenceFine": null,
                        "motorVehicleAct": "194 D"
                    }
                ]
            },
            {
                "userName": null,
                "accusedFatherName": "TEJVEER",
                "accusedName": "Rxx KUxxx",
                "rcRegistrationNumber": "UP85BXxxxx",
                "challanNumber": "UP163633230928xxxxx",
                "challanId": 2,
                "challanDate": "2023-09-28",
                "challanStatus": "Pending",
                "challanAmount": "1000",
                "rcStateCode": "UP",
                "challanReceiptUrl": null,
                "challanPaymentSource": null,
                "challanPaymentDate": null,
                "offences": [
                    {
                        "offenceName": "Driving Two-wheeled without helmets",
                        "offenceFine": null,
                        "motorVehicleAct": "Section 194 D of MVA 1988 RW section 129 of CMVA and rule 121 of U.P. MVR 1998."
                    }
                ]
            }
        ],
        "poolReferenceId": "1241023050006CBXKG",
        "pool": {
            "openingBal": "99083.14",
            "mode": "DR",
            "amount": "5.90",
            "closingBal": "99077.24"
        }
    },
    "timestamp": "2024-10-23 10:30:06",
    "ipay_uuid": "h0009d4fc6a1-76db-470d-8e93-9ddd99d8495a-SKjSP0QA98WZ",
    "orderid": "1241023050006CBXKG",
    "environment": "SANDBOX"
}
📘

Consent Text :

I hereby give my consent and submit voluntarily at my own discretion, my Voter ID for the
purpose of establishing my identity on the portal. The Voter ID submitted herewith shall not be used for
any purpose other than mentioned, or as per the requirements of the law.

Body Params
string

Vehicle Registration Number

string

End Customer Latitude.

string

End Customer Longitude.

string

Your Unique Transaction id

string
Headers
string
Defaults to 1

Auth Code

string

Unique Client Id Provided by Instantpay

string

Unique Client Secret Provided by Instantpay

string

End Customer IP Address

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json